Effective Controls
List effective symbol controls
Returns the effective symbol controls for a trading account. Service-account callers must provide x-organization-id; user and API-key callers read from their principal organization. The requested organization must own the trading account.
GET
/
v1
/
controls
/
accounts
/
{account_id}
/
symbols
List effective symbol controls
curl --request GET \
--url https://api.anthid.com/v1/controls/accounts/{account_id}/symbols \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anthid.com/v1/controls/accounts/{account_id}/symbols"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anthid.com/v1/controls/accounts/{account_id}/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"symbol": "<string>",
"controls": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"manually_disabled": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"manual_reason": "<string>"
},
"risk_controls": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"max_daily_loss_amount": 123,
"max_daily_loss_percent": 123,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"max_order_size": "<string>",
"max_position_size": "<string>"
},
"time_controls": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"stale_order_millis": 123,
"trading_end": "<string>",
"trading_start": "<string>"
}
}
],
"next_cursor": "<string>"
}"<string>""<string>""<string>""<string>""<string>"Authorizations
bearerAuthclientCredentialsapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Organization id required when reading with service-account credentials
Path Parameters
Trading account id
Previous
Get symbol controlReturns manual controls for a symbol on a trading account. Service-account callers must provide `x-organization-id`; user and API-key callers read from their principal organization. The requested organization must own the trading account.
Next
⌘I
List effective symbol controls
